package oop.Generics;

import java.util.*;

public class Pocket<T> {
	
	private T value;
	public Pocket() {}
	
	public Pocket(T value) {
		this.value = value;
	}
	
	public static <G> G getT(G g) {
		return g;
	}
	
	public T getValue() {
		return value;
	}

	public void setValue(T value) {
		this.value = value;
	}
	

	@Override
	public String toString() {
		return "Pocket [value=" + value + "]";
	}

	
	public static void main(String[] args) {
		List<Object> stringList = new ArrayList<>();
		
		
	}

}
